SystemOrganization addCategory: #'GMF-Facade'!

Object subclass: #Facade
	instanceVariableNames: ''
	classVariableNames: 'UMLElements dataModel'
	poolDictionaries: ''
	category: 'GMF-Facade'!

!Facade class methodsFor: 'accessing' stamp: 'RostislavNovak 11/25/2013 21:03'!
addClass: xDataClass
	dataModel isNil
		ifTrue: [ dataModel := DataModel new ].
	dataModel add: xDataClass! !

!Facade class methodsFor: 'accessing' stamp: 'RostislavNovak 11/25/2013 21:10'!
clearData
	dataModel := DataModel new.! !

!Facade class methodsFor: 'accessing' stamp: 'RostislavNovak 11/25/2013 20:33'!
generate
	| data |
	UMLElements := TransformToUML dataToTransform: dataModel asMetaModel modelElements.
	UMLElements transformAll.
	data := DataForGenerator UMLModel: UMLElements transformedElements.
	UMLElements dataForGenerator: data dataForGenerator.
	CodeGenerator setDataWithAll: UMLElements dataForGenerator.
	^ true! !

!Facade class methodsFor: 'accessing' stamp: 'RostislavNovak 11/27/2013 22:46'!
getClass: xName
	^ dataModel elements detect:  [ :e | xName == e metaModelClass name ]! !

!Facade class methodsFor: 'accessing' stamp: 'RostislavNovak 11/25/2013 20:34'!
getClasses
	^ dataModel elements! !

!Facade class methodsFor: 'accessing' stamp: 'RostislavNovak 11/25/2013 20:38'!
getDiagram
	^dataModel! !

!Facade class methodsFor: 'accessing' stamp: 'RostislavNovak 11/25/2013 21:26'!
loadDiagram! !

!Facade class methodsFor: 'accessing' stamp: 'RostislavNovak 11/27/2013 22:47'!
removeClass: xDataClass
	dataModel remove: xDataClass! !

!Facade class methodsFor: 'accessing' stamp: 'RostislavNovak 11/25/2013 21:26'!
saveDiagram! !
